| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::utility::dummy< T > Struct Template Reference

Utility struct that has the same size and alignment as another but does nothing. Useful for ABI compatibility. More...

`#include <utility.h>`

Collaboration diagram for dpp::utility::dummy< T >:
[legend]

## Public Attributes

std::array< std::byte, sizeof(T)> | data
| Array of bytes with a size mimicking T.

## Detailed Description

template<typename T>
struct dpp::utility::dummy< T >

Utility struct that has the same size and alignment as another but does nothing. Useful for ABI compatibility.

Template Parameters

  T | Type to mimic

## Member Data Documentation

## ◆ data

template<typename T>

std::array<std::byte, sizeof(T)> dpp::utility::dummy< T >::data

Array of bytes with a size mimicking T.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0